// File generated by FlutterFire CLI.
// ignore_for_file: lines_longer_than_80_chars, avoid_classes_with_only_static_members
import 'package:firebase_core/firebase_core.dart' show FirebaseOptions;
import 'package:flutter/foundation.dart'
    show defaultTargetPlatform, kIsWeb, TargetPlatform;

/// Default [FirebaseOptions] for use with your Firebase apps.
///
/// Example:
/// ```dart
/// import 'firebase_options.dart';
/// // ...
/// await Firebase.initializeApp(
///   options: DefaultFirebaseOptions.currentPlatform,
/// );
/// ```
class DefaultFirebaseOptions {
  static FirebaseOptions get currentPlatform {
    if (kIsWeb) {
      return web;
    }
    switch (defaultTargetPlatform) {
      case TargetPlatform.android:
        return android;
      case TargetPlatform.iOS:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for ios - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      case TargetPlatform.macOS:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for macos - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      case TargetPlatform.windows:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for windows - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      case TargetPlatform.linux:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for linux - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      default:
        throw UnsupportedError(
          'DefaultFirebaseOptions are not supported for this platform.',
        );
    }
  }

  static const FirebaseOptions web = FirebaseOptions(
    apiKey: 'AIzaSyCIw7RJv6jkobHWPnjbN3MKN8vclu5KFoA',
    appId: '1:167714926651:web:42132076576c6737326c1e',
    messagingSenderId: '167714926651',
    projectId: 'vaion-dadb7',
    authDomain: 'vaion-dadb7.firebaseapp.com',
    storageBucket: 'vaion-dadb7.appspot.com',
    measurementId: 'G-DC10024SCN',
  );

  static const FirebaseOptions android = FirebaseOptions(
    apiKey: 'AIzaSyBMam-d3f6cO99MrX-hW0zRfThh8U36A_0',
    appId: '1:167714926651:android:4f468cd654cb85e3326c1e',
    messagingSenderId: '167714926651',
    projectId: 'vaion-dadb7',
    storageBucket: 'vaion-dadb7.appspot.com',
  );
}
